﻿/////////////////////////////////////////////////////////
// Set color effect
varying mediump vec2 vTex;
uniform lowp sampler2D samplerFront;
uniform lowp float amplitude;
uniform lowp float speed;
uniform lowp float frequency;
uniform mediump float seconds;

void main(void)
{
	mediump vec2 pos = vTex;
	pos.y += amplitude * sin((speed * seconds) + (frequency * pos.x));
	lowp vec4 pixel = texture2D(samplerFront, pos);
	lowp vec3 color = vec3(pixel.r, pixel.g, pixel.b);
	color *= 0.5 + 0.5 * cos(seconds + pos.xyx + vec3(0, 2, 4));
	gl_FragColor = vec4(color, pixel.a);
}
